%define name	perl-OpenCA-Log
%define version	0.9.14
%define release	1mdk

Summary:	OpenCA Logging
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License:	LGPL
Group: 		Development/Perl
URL:		http://www.cpan.org
Source:		OpenCA-Log-%{version}.tar.bz2
#Requires:	perl-OpenCA-XML-Cache
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This module handle the complete logging of OpenCA.

%prep

%setup -q -n OpenCA-Log-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE MANIFEST README
%{perl_vendorlib}/OpenCA/Log.pm
%{perl_vendorlib}/OpenCA/Log.pod
%{perl_vendorlib}/OpenCA/Log/Message.pm
%{perl_vendorlib}/OpenCA/Logger/Syslog.pm
%{perl_vendorlib}/OpenCA/Logger/Syslog/Net.pm
%{perl_vendorlib}/OpenCA/Logger/Syslog/Sys.pm
%{perl_vendorlib}/OpenCA/Logger/Syslog/Unix.pm
%{perl_vendorlib}/OpenCA/Logger/XML.pm
%{_mandir}/*/*

%changelog
* Sat Oct 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.14-1mdk
- 0.9.14

* Wed Sep 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.13-1mdk
- 0.9.13

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.12-2mdk
- new tarball, same version

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.12-1mdk
- 0.9.12

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.11-2mdk
- built for cooker

* Thu Jun 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.11-1mdk
- 0.9.11

* Sat May 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.10-2mdk
- CVS fixes (new tarball)

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.10-1mdk
- 0.9.10

* Wed Apr 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.8-1mdk
- initial package
